#
# spec file for package rubygem-memcache-client
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           rubygem-memcache-client
Version:        1.8.5
Release:        12.3
%define mod_name memcache-client
#
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  ruby-macros >= 5
#
Url:            http://github.com/mperham/memcache-client
Source:         %{mod_name}-%{version}.gem
#
Summary:        A Ruby library for accessing memcached
License:        BSD-3-Clause
Group:          Development/Languages/Ruby

%description
A Ruby library for accessing memcached.

%prep
%build
%install
%gem_install \
  --symlink-binaries \
  --doc-files="LICENSE.txt" \
  -f

%gem_packages

%changelog
* Sun Oct 12 2014 adrian@suse.de
- adapt to new rubygem packaging style
* Fri Jun 29 2012 cfarrell@suse.com
- license update: BSD-3-Clause
  See LICENSE.txt
* Wed Apr  4 2012 coolo@suse.com
- update to 1.8.5
  * Fix unfibered usage of memcache-client in EM
  * Remove nag message (tenderlove)
* Mon Jun 14 2010 mrueckert@suse.de
- update to version 1.8.3
  * Don't allow blank keys. (Bill Horsman)
- additional changes from version 1.8.2
  * Fix concurrency issues with eventmachine support.
- additional changes from version 1.8.1
  * Only require SystemTimer if the Ruby VM looks like MRI.
  * Remove VERSION.yml usage as we should avoid using files outside
  of lib at runtime. (josh)
- additional changes from version 1.8.0
  * Add support for EventMachine-based connections.
  * Add support for raw values in get_multi
  * Add memcached_top binary for gathering server statistics
* Fri Jun 11 2010 mrueckert@suse.de
- use rubygems_requires macro
* Wed Feb 24 2010 mrueckert@suse.de
- update to version 1.7.8
* Fri Jan 22 2010 prusnak@suse.cz
- created package
